For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

Delete Asset Tag

||View as Markdown|
DELETE
https://api.trebellar.app/api/v2/assets/tags/delete/:assetTagId
DELETE
/api/v2/assets/tags/delete/:assetTagId
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.deleteAssetTag("assetTagId");
8}
9main();
1{
2 "data": {
3 "id": "string",
4 "assetTypes": [
5 "STRUCTURE"
6 ],
7 "description": "string",
8 "color": "string",
9 "icon": "string",
10 "name": "string",
11 "category": "string",
12 "metadata": "string"
13 }
14}
Delete an existing asset tag.
Was this page helpful?
Previous

Update Asset Tag

Next

Bind Asset Tags

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

assetTagIdstringRequired

Response

Asset tag deleted successfully
dataobject

Errors

500
Internal Server Error